//程序变量通过句柄赋值给shader变量。 程序变量、句柄、shader变量3者关系见BaseFilter类 或 BaseFilterZzm类

precision mediump float;

varying vec2 vTextureCoord;                                 //纹理坐标。顶点着色器传来

//对应textureId
uniform sampler2D uTexture;                 //采样纹理textureId 。 glUniform1i将0号纹理单元作为整数传递给片元着色器，片元着色器中使用uniform变量对应这个纹理采样器
                                                                //要使用纹理必须在使用之前激活对应的纹理单元，默认状态下0号纹理单元是激活的，因此即使没有显式地激活也能工作
                                                                // 使用0号纹理单元(不是纹理号：textureId)
                                                                // glActiveTexture(GL_TEXTURE0);
                                                                // glBindTexture(GL_TEXTURE_2D, textureId);
                                                                // glUniform1i(mGLTexture, 0);  0号纹理单元数据赋予shader(textureId ---> uTexture)

                                            //纹理贴图句柄mGLTexture = GLES20.glGetUniformLocation(mGLProgram, "uTexture");

void main() {
    gl_FragColor = texture2D( uTexture, vTextureCoord );   //texture2D函数根据纹理坐标vTextureCoord，获取纹理对象vTexture中的纹素。
}