precision mediump float;
varying vec2 vTextureCoord;
uniform sampler2D uTexture;
varying vec4 gPosition;
uniform float uXY;

uniform float uScale;  // 0.5

void main() {
    vec4 nColor = texture2D(uTexture, vTextureCoord);
    vec3 vChangeColor = vec3(0.0, 0.0, uScale);
    float dis = distance(vec2(gPosition.x, gPosition.y/uXY), vec2(vChangeColor.r, vChangeColor.g));
    if(dis < vChangeColor.b){
        nColor = texture2D(uTexture, vec2(vTextureCoord.x/2.0 + 0.25, vTextureCoord.y/2.0 + 0.25));
    }
    gl_FragColor = nColor;
}