uniform mat4 uMVPMatrix;
varying vec4 vColor;
attribute vec4 aPosition;

void main(){
    gl_Position=uMVPMatrix*aPosition;
    float color;
    if(aPosition.z>0.0){
        color=aPosition.z;
    }else{
        color=-aPosition.z;
    }
    vColor=vec4(color,color,color,1.0);
}