precision mediump float;
uniform float uOpacity;
uniform sampler2D uTexture;
varying vec2 vTextureCoord;


void main() {
    vec4 nColor = texture2D(uTexture, vTextureCoord);
    vec3 vChangeColor = vec3(0.006, 0.004, 0.002);
    nColor += texture2D(uTexture,vec2(vTextureCoord.x - vChangeColor.r, vTextureCoord.y - vChangeColor.r));
    nColor += texture2D(uTexture,vec2(vTextureCoord.x - vChangeColor.r, vTextureCoord.y + vChangeColor.r));
    nColor += texture2D(uTexture,vec2(vTextureCoord.x + vChangeColor.r, vTextureCoord.y - vChangeColor.r));
    nColor += texture2D(uTexture,vec2(vTextureCoord.x + vChangeColor.r, vTextureCoord.y + vChangeColor.r));
    nColor += texture2D(uTexture,vec2(vTextureCoord.x - vChangeColor.g, vTextureCoord.y - vChangeColor.g));
    nColor += texture2D(uTexture,vec2(vTextureCoord.x - vChangeColor.g, vTextureCoord.y + vChangeColor.g));
    nColor += texture2D(uTexture,vec2(vTextureCoord.x + vChangeColor.g, vTextureCoord.y - vChangeColor.g));
    nColor += texture2D(uTexture,vec2(vTextureCoord.x + vChangeColor.g, vTextureCoord.y + vChangeColor.g));
    nColor += texture2D(uTexture,vec2(vTextureCoord.x - vChangeColor.b, vTextureCoord.y - vChangeColor.b));
    nColor += texture2D(uTexture,vec2(vTextureCoord.x - vChangeColor.b, vTextureCoord.y + vChangeColor.b));
    nColor += texture2D(uTexture,vec2(vTextureCoord.x + vChangeColor.b, vTextureCoord.y - vChangeColor.b));
    nColor += texture2D(uTexture,vec2(vTextureCoord.x + vChangeColor.b, vTextureCoord.y + vChangeColor.b));
    nColor /= 13.0;
    gl_FragColor = nColor;
}