attribute vec4 aPosition;   //顶点坐标句柄:int mHPosition = GLES20.glGetAttribLocation(mProgram, "aPosition"); ---mVertexBuffer(对应程序中顶点缓存)
attribute vec2 aTextureCoord;      //纹理坐标句柄:int mGLTextureCo = GLES20.glGetAttribLocation(mProgram, "aTextureCoord"); ---mTextureBuffer(对应程序中纹理坐标缓存)
uniform mat4 uMVPMatrix;       //坐标变化矩阵句柄: int mHMatrix = GLES20.glGetUniformLocation(mProgram, "uMVPMatrix");---matrix(对应程序中float[] matrix)

//传递给片元着色器的同名变量
varying vec2 vTextureCoord;             //纹理坐标,这里传递的是对应纹理单元(texture unit)的索引号
varying vec4 gPosition;

void main(){
    gl_Position = uMVPMatrix * aPosition;
    vTextureCoord = aTextureCoord;
    gPosition = uMVPMatrix * aPosition;
}