precision highp float;
precision highp int;

attribute vec4 aVertexCo;
attribute vec2 aTextureCo;
uniform mat4 uVertexMatrix;

varying vec2 vTextureCoord;
varying vec4 gPosition;

void main(){
    gl_Position = uVertexMatrix * aVertexCo;
    vTextureCoord = aTextureCo;
    gPosition = uVertexMatrix * aVertexCo;
}