precision mediump float;
varying vec2 vTextureCoord;
uniform sampler2D uTexture;

void main() {
    vec4 nColor1 = texture2D(uTexture, vTextureCoord);
    vec2 mirrorCoordinate = vec2(1.0 - vTextureCoord.x, vTextureCoord.y);
    vec4 nColor2 = texture2D(uTexture, mirrorCoordinate);
    if (vTextureCoord.x <= 0.5) {
        gl_FragColor = nColor1;
    } else {
        gl_FragColor = nColor2;
    }
}